Opened 17 years ago

Closed 17 years ago

Last modified 17 years ago

#1283 closed defect (fixed)

NEW: nedit-5.4

Reported by: tp62@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

NEdit 5.4

Portfile is: ATTACHED

Description: NEdit is a multi-purpose text editor for the X Window System, which combines a standard, easy to use, graphical user interface with the thorough functionality and stability required by users who edit text eight hours a day. It provides intensive support for development in a wide variety of languages, text processors, and other tools, but at the same time can be used productively by just about anyone who needs to edit text.

Homepage: http://www.nedit.org/

Comments:

I compiled this against lesstif 0.93.94 (lomion@… is aware of it, and plans to update the lesstif port soon). This version of lesstif is untested with NEdit; however, it contains NEdit-specific fixes, so I think it will be fine.

OpenMotif 2.2.2 is *known* to be broken with NEdit, so NEdit will not compile against OpenMotif (to the best of my knowledge).

makefiles/Makefile.macosx changes:

Changed MOTIFDIR from /usr/local to /usr/X11R6 Changed MOTIFLINK to point to dynamic libXm. Patched to add -DBUILD_UNTESTED_NEDIT cflag (required for compilation with lesstif 0.93.94).

Makefile changes:

Added an 'install' target to properly destroot the port. Also, nc is renamed nedit-nc, to prevent name conflict with netcat.

Attachments (1)

nedit.tar.bz2 (1.8 KB) - added by tp62@… 17 years ago.
NEdit 5.4 Portfile + patches

Download all attachments as: .zip

Change History (5)

Changed 17 years ago by tp62@…

Attachment: nedit.tar.bz2 added

NEdit 5.4 Portfile + patches

comment:1 Changed 17 years ago by olegb@…

I just installed this with the lesstif from opendarwin and it seems to run fine

  • should there be a problem with lestiff 0.93.36? If so i havnt noticed it.

Should we hold this until lesstif is updated ?

comment:2 Changed 17 years ago by tp62@…

See http://www.nedit.org/toolkit.shtml

The developers don't like any version of LessTif newer than 0.93.18, and they require OpenMotif 2.1.30 or earlier. But, it should work *reasonably* well. No problems so far with LessTif 0.93.94. Here's my diff for the lesstif Portfile: http://bugzilla.opendarwin.org/show_bug.cgi?id=1278

comment:3 Changed 17 years ago by matt@…

Resolution: fixed
Status: newclosed

Committed. Thanks T.Peterson!

comment:4 Changed 17 years ago by matt@…

I haven't noticed any problems with lesstif 0.93.36 here, so i committed it.

Note: See TracTickets for help on using tickets.